Name:           python-pyslobs
Version:        2.0.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python wrapper to StreamLabs Desktop API

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/Julian-O/pyslobs
Source:         %{pypi_source pyslobs}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyslobs' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyslobs
Summary:        %{summary}

%description -n python3-pyslobs %_description


%prep
%autosetup -p1 -n pyslobs-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyslobs -f %{pyproject_files}


%changelog
%autochangelog